#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
#-----------------------------------------------------------------------------
Name		:	dhcpcd
Version		:	9.4.1
Release		:	17.0.10.rel%{?dist}
Summary		:	A minimalistic network configuration daemon with DHCPv4, rdisc and DHCPv6 support

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://roy.marples.name/projects/%{name}/

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	chrony

Conflicts	:	dhcp-client 	>= 4.4.3
#-----------------------------------------------------------------------------
%description
The dhcpcd package provides a minimalistic network
configuration daemon that supports IPv4 and IPv6
configuration including configuration discovery
through NDP, DHCPv4 and DHCPv6 protocols.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sbindir}/%{name}
%{_libexecdir}/%{name}-hooks/01-test
%{_libexecdir}/%{name}-hooks/20-resolv.conf
%{_libexecdir}/%{name}-hooks/30-hostname
%{_libexecdir}/%{name}-hooks/50-ntp.conf
%{_libexecdir}/%{name}-run-hooks
%attr(0550,root,root) /lib/services/%{name}
%{_libdir}/%{name}/dev/udev.so
%{_datadir}/%{name}/hooks/10-wpa_supplicant
%{_datadir}/%{name}/hooks/15-timezone
%{_datadir}/%{name}/hooks/29-lookup-hostname
%{_datadir}/%{name}/hooks/50-yp.conf
%{_mandir}/man5/%{name}.conf.5.gz
%{_mandir}/man8/%{name}-run-hooks.8.gz
%{_mandir}/man8/%{name}.8.gz
%dir %attr(0755,root,%{name}) %{_sharedstatedir}/%{name}

#-----------------------------------------------------------------------------
%pre
/usr/bin/getent group %{name} >/dev/null || 
  /usr/sbin/groupadd				\
	-K GID_MIN=50				\
	-K GID_MAX=99				\
	 %{name}
/usr/bin/getent passwd %{name} >/dev/null || 
  /usr/sbin/useradd 				\
	-r					\
	-c "%{name} Privsep"			\
	-K SYS_UID_MIN=50			\
	-K SYS_UID_MAX=99			\
	-g %{name}				\
	-s /bin/false				\
	-d %{_sharedstatedir}/%{name}		\
	%{name}

%postun
if [ "$1" = 0 ]; then
  /usr/sbin/userdel %{name}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del %{name}
  (
  /bin/echo -n "%{name}-server-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
if [ "$1" = 0 ]; then
  %{_sbindir}/chkconfig --add %{name} 
  %{_sbindir}/chkconfig --add %{name}6
  fi
%{_sysconfdir}/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 || :
%{_sysconfdir}/rc.d/init.d/%{name}6 condrestart > /dev/null 2>&1 || :

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__tar} xf %{SOURCE1}

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_sharedstatedir}		\
	--localstatedir=%{_localstatedir}		\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--dbdir=%{_var}/lib/%{name}			\
	--runstatedir=/run   				\
	--privsepuser=%{name}				\  

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

export BINMODE=755
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%{__mkdir_p}						\
	%{buildroot}/lib/services			\
	%{buildroot}%{_sharedstatedir}/%{name}

cp -a							\
	%{name}-ok_addon/%{name}-service		\
	%{buildroot}/lib/services/%{name}

#-----------------------------------------------------------------------------
%changelog
